using UnityEngine;
using System.Collections;

[RequireComponent(typeof(LayerSlice))]
public abstract class LayerSliceEffect : MonoBehaviour 
{
    public abstract bool CustomUpdate(float deltaTime);

    public abstract void Init(bool removing);

    protected abstract void Awake();

    protected Vector3 mOriginalPosition;

    public void OnLayerPositionSet()
    {
        mOriginalPosition = transform.position;
    }
}
